Publishing · Tools
Downloads a TikTok video. Works with TikTok accounts.
GET
https://api.pozy.ai/v1/tools/tiktok/downloadTikTokdownloadTikTokVideo
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the publishing resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
urlrequired | string | |
action | string | One of download, formatsDefault download |
formatId | string |
Example
curl -X GET "https://api.pozy.ai/v1/tools/tiktok/download?url=https%3A%2F%2Fpozy.ai%2Fmedia%2Fexample-1.jpg" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/tools/tiktok/download?url=https%3A%2F%2Fpozy.ai%2Fmedia%2Fexample-1.jpg", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/tools/tiktok/download",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"url": "https://pozy.ai/media/example-1.jpg",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
successbooleanrequiredtitlestringrequiredformatstringdownloadUrlstringdurationnumbercoverstringformatsarray of object9 child fields
idstringlabelstringextstringtypestringheightnumberwidthnumberfpsnumberhasAudiobooleanhasVideoboolean
200 response
{
"success": true,
"title": "Launch day",
"format": "string",
"downloadUrl": "https://pozy.ai/media/example-1.jpg",
"duration": 12.5,
"cover": "string",
"formats": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"label": "string",
"ext": "string",
"type": "string",
"height": 12.5,
"width": 12.5,
"fps": 12.5,
"hasAudio": true,
"hasVideo": true
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.